gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Multiline.TextTagTable

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods

Description

Collection of tags that can be used together

Synopsis

- data TextTagTable
- class GObjectClass o => TextTagTableClass o
- castToTextTagTable :: GObjectClass obj => obj -> TextTagTable
- gTypeTextTagTable :: GType
- toTextTagTable :: TextTagTableClass o => o -> TextTagTable
- textTagTableNew :: IO TextTagTable
- textTagTableAdd :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()
- textTagTableRemove :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()
- textTagTableLookup :: TextTagTableClass self => self -> String -> IO (Maybe TextTag)
- textTagTableForeach :: TextTagTableClass self => self -> (TextTag -> IO ()) -> IO ()
- textTagTableGetSize :: TextTagTableClass self => self -> IO Int

# Detail

You may wish to begin by reading the text widget conceptual overview which gives an overview of all the objects and data types related to the text widget and how they work together.

# Class Hierarchy

     | GObject
     | +----TextTagTable

# Types

data TextTagTable

Instances

Eq TextTagTable |
Ord TextTagTable |
GObjectClass TextTagTable |
TextTagTableClass TextTagTable |

class GObjectClass o => TextTagTableClass o

Instances

TextTagTableClass TextTagTable |

castToTextTagTable :: GObjectClass obj => obj -> TextTagTable

gTypeTextTagTable :: GType

toTextTagTable :: TextTagTableClass o => o -> TextTagTable

# Constructors

textTagTableNew :: IO TextTagTable

Creates a new `TextTagTable`. The table contains no tags by default.

# Methods

textTagTableAdd :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()

Add a tag to the table. The tag is assigned the highest priority in the table.

The tag must not be in a tag table already, and may not have the same name as an already-added tag.

textTagTableRemove :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()

Remove a tag from the table.

textTagTableLookup

Arguments

:: TextTagTableClass self |
=> self |
-> String | `name` - name of a tag
-> IO (Maybe TextTag) | returns The tag, or `Nothing` if none by that name is in the table.

Look up a named tag.

textTagTableForeach :: TextTagTableClass self => self -> (TextTag -> IO ()) -> IO ()

Maps over each tag in the table.

textTagTableGetSize :: TextTagTableClass self => self -> IO Int

Returns the size of the table (the number of tags).